=== debian/changelog ===
mmix-src (19991019-4) frozen unstable; urgency=low

  * Released to frozen and unstable.

 -- Mike Goldman <whig@by.net>  Tue,  8 Feb 2000 21:04:43 -0500

mmix-src (19991019-3) frozen; urgency=low

  * Added version to cweb in recommends line (closes: #57122)

 -- Mike Goldman <whig@by.net>  Sat,  5 Feb 2000 17:35:34 -0500

mmix-src (19991019-2) unstable; urgency=low

  * Changed architecture to all instead of any (closes: #53634).

 -- Mike Goldman <whig@by.net>  Thu, 30 Dec 1999 08:21:33 -0500

mmix-src (19991019-1) unstable; urgency=low

  * Initial Release.

 -- Mike Goldman <whig@by.net>  Fri, 17 Dec 1999 09:46:39 -0500

Local variables:
mode: debian-changelog
End:
