=== debian/control ===
Source: mmix-src
Section: non-free/devel
Priority: optional
Maintainer: Mike Goldman <whig@by.net>
Standards-Version: 3.0.1

Package: mmix-src
Architecture: all
Recommends: devscripts, make, cweb (>= 3.43), tetex-bin
Description: Assembler and Simulator for Knuth's MMIX
 MMIX is the new computer and associated assembly language that Donald
 Knuth will be using to specify the algorithms in the next edition of his
 series, The Art of Computer Programming.  Currently three volumes have
 been published, and more are in preparation.  Knuth will use MMIX as the
 low-level programming language in the "ultimate" edition of his opus.
 .
 Due to license considerations, this package will only extract the source
 code for MMIX onto your system.  After installation, you will have to build
 mmix and separately install it.
